Subject: Re: bug#41381: 28.0.50; Can't compile file containing a local pcase macro

From: Philipp <[email-masked]>
Date: Sat, 31 Jul 2021 18:39:00 +0200

> Am 31.07.2021 um 18:34 schrieb Lars Ingebrigtsen <[email-masked]>:
> 
> Philipp Stephani <[email-masked]> writes:
> 
>> $ cat test.el
>> ;;; -*- lexical-binding: t; -*-
>> (pcase-defmacro test () '_)
>> (defun test () (pcase nil ((test))))
>> 
>> $ emacs -Q -batch -l bytecomp -f batch-byte-compile test.el
>> 
>> In toplevel form:
>> test.el:3:1: Error: Symbol’s function definition is void: test--pcase-macroexpander
> 
> I'm able to reproduce this in Emacs 27.1, but not on the current trunk,
> so I'm going to go ahead and guess that this has been fixed now, and I'm
> closing this bug report.  If there's still an issue here, please respond
> to the debbugs address and we'll reopen.

My guess is that this was fixed by commit 88ca2280ba430ad2fa681c72cc6ba8216709e63f.